import service from '@/utils/request'


export const list = (params) => {
    return service({
        url: '/app_user/teacher_vips',
        method: 'get',
        params
    })
}

export const add = (data) => {
    return service({
        url: '/app_user/teacher_vip',
        method: 'post',
        data
    })
}
export const edit = (data) => {
    return service({
        url: '/app_user/teacher_vip',
        method: 'put',
        data
    })
}
export const del = (data) => {
    return service({
        url: '/app_user/teacher_vip',
        method: 'delete',
        data
    })
}
export const detail = (params) => {
    return service({
        url: '/app_user/teacher_vip',
        method: 'get',
        params
    })
}

// 批量更新价格
export const batchUpdatePrice = (data) => {
    return service({
        url: '/app_user/teacher_vip/price',
        method: 'put',
        data
    })
}
